Bug 538296 - Review Request: openvas-libnasl - Support for NASL scripting language in OpenVAS Server
Review Request: openvas-libnasl - Support for NASL scripting language in Open...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 538035
Blocks: 538297 538298
  Show dependency treegraph
 
Reported: 2009-11-18 02:26 EST by Stjepan Gros
Modified: 2009-12-22 05:50 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-22 05:50:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
a.badger: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Stjepan Gros 2009-11-18 02:26:11 EST
Spec URL: http://www.zemris.fer.hr/~sgros/stuff/fedora/openvas/openvas-libnasl.spec
SRPM URL: http://www.zemris.fer.hr/~sgros/stuff/fedora/openvas/openvas-libnasl-2.0.2-1.fc11.src.rpm
Description:
Libraries module for the Open Vulnerability Assessment System
(OpenVAS) containing support for the NASL scripting languague.
Comment 1 Huzaifa S. Sidhpurwala 2009-12-03 03:01:43 EST
Hi,
I am going to the co-maintainer for the openvas stack

koji devel build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1845347

SPEC: http://huzaifas.fedorapeople.org/spec/openvas-libnasl.spec
SRPM: http://huzaifas.fedorapeople.org/srpms/openvas-libnasl-2.0.2-2.fc10.src.rpm
Comment 2 Parag AN(पराग) 2009-12-09 05:26:46 EST
I think sources are not matching.
e743a69c9a28abe374e9827eddd3370d5cfae055  openvas-libnasl-2.0.2.tar.gz
7a4342418de2a591353a4404455ca97a49d589d8  ../SOURCES/openvas-libnasl-2.0.2.tar.gz
Comment 3 Stjepan Gros 2009-12-10 10:04:39 EST
Please, double check it. I just downloaded source from the OpenVAS site and the checksum matches:

# sha1sum openvas-libnasl-2.0.2.tar.gz /usr/src/redhat/SOURCES/openvas-libnasl-2.0.2.tar.gz 
7a4342418de2a591353a4404455ca97a49d589d8  openvas-libnasl-2.0.2.tar.gz
7a4342418de2a591353a4404455ca97a49d589d8  /usr/src/redhat/SOURCES/openvas-libnasl-2.0.2.tar.gz
Comment 4 Huzaifa S. Sidhpurwala 2009-12-18 05:14:21 EST
[huzaifas@localhost temp]$ sha256sum openvas-lib*
4f295a3d1a414652c16037617544c5d1ea865b9790e83b76dbf1c71b7fd52e41  openvas-libnasl-2.0.2.tar.gz
4f295a3d1a414652c16037617544c5d1ea865b9790e83b76dbf1c71b7fd52e41  openvas-libraries-2.0.2.tar.gz


Should openvas-libraries be called  openvas-libnasl or vice versa?
Comment 5 Huzaifa S. Sidhpurwala 2009-12-18 05:21:44 EST
not really, fixing the srpm now :)
Comment 7 Huzaifa S. Sidhpurwala 2009-12-18 05:35:30 EST
Xavier,
It seems you have some spec/srpms as well, would you like to co-maintain the stack as well?
Comment 8 Parag AN(पराग) 2009-12-18 06:14:53 EST
eview:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1879210
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url (sha1sum)
7a4342418de2a591353a4404455ca97a49d589d8  openvas-libnasl-2.0.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no .pc file present.
+ -devel subpackage present.
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package openvas-libnasl-2.0.2-3.fc13.i686 =>
Provides: libopenvasnasl.so.2
Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libgcrypt.so.11 libgcrypt.so.11(GCRYPT_1.2) libglib-2.0.so.0 libgnutls.so.26 libgnutls.so.26(GNUTLS_1_4) libgpg-error.so.0 libgpgme.so.11 libgpgme.so.11(GPGME_1.0) libgpgme.so.11(GPGME_1.1) libnsl.so.1 libopenvas.so.2 libopenvas_hg.so.2 libopenvasnasl.so.2 libpcap.so.1 libresolv.so.2 libutil.so.1 rtld(GNU_HASH)
+ Package openvas-libnasl-devel-2.0.2-3.fc13.i686 =>
Requires: /bin/sh libopenvasnasl.so.2
+ Not a GUI application

Suggestions:
1) I see some documentation still there. See if you can add that to spec.

APPROVED.
Comment 9 Huzaifa S. Sidhpurwala 2009-12-18 06:24:48 EST
New Package CVS Request
=======================
Package Name: openvas-libnasl
Short Description: Support for NASL scripting language in OpenVAS Server
Owners: huzaifas, sgros
Branches:  rawhide
Comment 10 Toshio Ernie Kuratomi 2009-12-21 13:04:17 EST
cvs done.
Comment 11 Huzaifa S. Sidhpurwala 2009-12-22 05:50:41 EST
build for rawhide.
Closing this bug

Note You need to log in before you can comment on or make changes to this bug.